image: "rust:latest"

stages:
  - test
  - build

test:cargo:
  stage: test
  script:
    - rustc --version && cargo --version      # Print version info for debugging
    - cargo test --all --verbose

build:cargo:
  stage: build
  script:
    - rustc --version && cargo --version      # Print version info for debugging
    - cargo build --release
  artifacts:
    paths:
      - target/release/cfnutil
    expire_in: 1 week